# Interface NavigationConfig

interface NavigationConfig {
apps?: AppsNavigationConfig[];
collapsable?: boolean;
fixedInViewport?: boolean;
mode?: "side" | "over";
opened?: boolean;
pinned?: boolean;
}

- Defined in lib/config.ts:22

#####
Index

### Properties

apps?
collapsable?
fixedInViewport?
mode?
opened?
pinned?

## Properties

### `Optional` apps

apps?: AppsNavigationConfig[]

- Defined in lib/config.ts:23

### `Optional` collapsable

collapsable?: boolean

- Defined in lib/config.ts:24

### `Optional` fixedInViewport

fixedInViewport?: boolean

- Defined in lib/config.ts:28

### `Optional` mode

mode?: "side" | "over"

- Defined in lib/config.ts:26

### `Optional` opened

opened?: boolean

- Defined in lib/config.ts:27

### `Optional` pinned

pinned?: boolean

- Defined in lib/config.ts:25